UPDATE-ALTERNATIVES(8)

NOME
update-alternatives - mantém ligações simbólicas determinando comandos padrões

RESUMO
update-alternatives [opções] --install ligação nome caminho prioridade [--slave ligação nome caminho]...

update-alternatives [opções] --remove nome caminho

update-alternatives [optções] --auto nome

update-alternatives [opções] --display nome

update-alternatives [opções] --list nome

update-alternatives [opções] --config nome

DESCRIÇÃO
update-alternatives cria, remove, mantém e exibe informação sobre sobre as ligações simbólicas que englobam o sistema de alternativas Debian.

É possível para diversos programas que executam as mesmas funções ou funções similares serem instalados em um único sistema ao mesmo tempo. Por exemplo, muitos sistemas possuem diversos editores de texto instalados. Isto dá a possibilidade de escolha para os usuários do sistema, permitindo a cada usuário usar um editor diferente, caso desejado, mas faz com que seja difícil para um programa fazer uma boa escolha de um editor o qual invocar caso o usuário não tenha especificado um editor particular de sua preferência.

O sistema de alternativas Debian pretende solucinar este problema. Um nome genérico no sistema de arquivos é compartilhado por todos os arquivos provendo funcionalidade equivalente. O sistema de alternativas e o administrador do sistema juntos determinam qual arquivo atual é referenciado por esse nome genérico. Por exemplo, caso os editores de texto ed(1) e nvi(1) estejam ambos instalados no sistema, o sistema de alternativas fará com que o nome genérico /usr/bin/editor refira-se a /usr/bin/nvi por padrão. O administrador do sistema pode sobreescrever isto e fazer com que refira-se a /usr/bin/ed e o sistema de alternativas não irá alterar esta configuração até que explicitamente requisitado a fazê-lo.

O nome genérico não é uma ligação simbólica direta para a alternativa selecionada. Ao invés disso, é uma ligação simbólica para um nome no diretório, alternatives o qual é, por sua vez, uma ligação simbólica para o arquivo atualmente referenciado. Isto é feito para que as mudanças do administrador do sistema possam ser confinadas dentro do diretório /etc : a FHS (q.v.) dá razões de porquê isto é um Boa Coisa.

Quando cada pacote provendo um arquivo com uma funcionalidade particular é instalado, modificdo ou removido o, update-alternatives é chamado para atualizar a informação sobre este arqivo no sistema de alternativas. update-alternatives é geralmente chamado a partir de um script postinst ou prerm em pacotes Debian.

Isto é geralmente útil para que diversas alternativas sejam sincronizadas, assim elas são modificadas como um grupo; por exemplo, quando diversas versões do editor vi(1) estão instaladas, a página de manual referenciada por /usr/share/man/man1/vi.1 deverá corresponder ao executável referenciado por /usr/bin/vi. update-alternatives gerencia isso por meio de ligações master e slave (mestre e escrado); quando o master é modificado, quaisquer slaves associados são também modificados. Uma ligação master e seus slaves associados constituem uma A master link and its associated slaves make up a link group. (ou ligação em grupo).

Cada ligação em grupo está, em um dado momento, em um de dois modos: automático ou manual. Quando um grupo está em modo automático, o sistema de alternativas irá automaticamente decidir, a medida em que os pacotes são instalados e removidos, se irá atualizar e como atualizar as ligações. No modo manual, o sistema de alternativas não irá modificar as ligações; ele deixará todas as decisões para o administrador do sistema.

Ligações em grupo estão em modo automático quando as mesmas são introduzidas no sistema pela primeira vez. Caso o administrador do sistema faça mudanças configurações automáticas do sistema, isso será válido na próxima vez que o update-alternatives for executado nas ligações em grupo modificadas, e o grupo irá automaticamente ser modificado para o modo manual.

Cada alternativa possui uma priority (prioridade) associada a ela. Quando uma ligação em grupo está em modo automático, as alternativas apontadas por membros do grupo serão aquelas que possuem a maior prioridade.

Quando usando a opção --config , o update-alternatives listará todas as opções para a ligação em grupo da qual um dado name (nome) é a ligação master. Lhe será então questionado por cada uma das opções a usar para a ligação em grupo. Uma vez que você faça uma mudança, a ligação em grupo não estará mais no modo auto --auto para poder retornar ao estado automático.

TERMINOLOGIA
Uma vez que as atividades de update-alternatives são bem envolvidas, alguns termos específicos ajudarão a explicar sua operação.

nome genérico
    Um nome, como A name, like /usr/bin/editor, o qual refere-se, através do sistema de alternativas, a um ou a diversos arquivos de função similar.

ligação simbólica (symlink)
    Sem nenhuma qualificação futura, esta significa uma ligação simbólica no diretório de alternativas: o qual espera-se que o administrador do sistema ajuste.

alternativa
    O nome de um arquivo específico no sitema de arquivos, o qual pode ser acessado através de um nome genérico usando o sistema de alternativas.

diretório de alternativas
    Um diretório, por padrão /etc/alternatives, contendo as ligações simbólicas.

diretório administrativo
    Um diretório, por padrão /var/lib/dpkg/alternatives, contendo informação de estado de update-alternatives.

ligação em grupo
    Um conjunto de ligações simbólicas relacionadas, com o intuito de serem atualizadas em grupos.

ligação mestre (master link)
    A ligação em uma ligação em grupo que determina como as outras ligações no grupo são configuradas.

ligação escravo (slave link)
    Uma ligação em uma ligação em grupo que é controlada pela configuração de uma ligação mestre.

modo automático
    Quando uma ligação em grupo está em modo automático, o sistema de alternativas certifica-se ed que as ligações no grupo apontam para as alternativas de mais alta prioridade apropriadas para o grupo.

modo manual
    Quando uma ligação em grupo está em modo manual, o sistema de alternativas não fará qualquer modificação nas configurações do administrador do sistema.

OPÇÕES
Exatamente uma ação deve ser especificada se update-alternatives está prester a executar qualquer tarefa significante. Qualquer número de opções comuns podem ser especificadas juntas com qualquer ação.

  OPÇÕES COMUNS

--verbose
    Gera mais comentários sobre o que update-alternatives está fazendo.

--quiet
    Não gera comentário algum a menos que ocorram erros. Esta opção ainda não está implementada.

--test
    Não faz nada, soment diz o que seria feito. Esta opção ainda não está implementada.

--help
    Exibe informação de uso (e diz qual versão de update-alternatives é essa).

--version
    Diz qual versão de update-alternatives é essa (e dá alguma informação sobre o uso).

--altdir diretório
    Especifica o diretório de alternativas, quando este está configurado para algo diferente do padrão.

--admindir diretório
    Especifica o dirtório administrativo, quando este este configurado para algo diferente do padrão.

  AÇÕES

--install ligação genérico caminho pri [--slave sligação sgenérico scaminho] ...
    Adiciona um grupo de alternativas para o sistema. genérico é o nome genérico para a ligação master, ligação é o nome de sua ligação simbólica, e caminho é a alternativa sendo intruzida para a ligação mestre. sgenérico, sligação e scaminho são o nome genérco, ligação simbólica e alternativa para uma ligação slave. Zero ou mais opções --slave , cada uma seguda por três argumentos, podem ser especificadas.

    Caso a ligação master especificada já exista nos registros do sistema de alternativas, a informação fornecida será adicionada como um novo conjunto de alternativas para o grupo. De outra forma, um novo grupo, definido para o modo automático, será adicionado com esta informação. Se o grupo está no modo automático e a prioridade das novas alternativas adicionadas é maior do que qualquer outra alternativa instalada para este grupo, as ligações simbólicas serão atualizadas para apontar para as alternativas novas instaladas.

--remove nome caminho
    Remove uma alternativa e todas as suas ligações slaves associadas. nome é o nome do diretório de alternativas, e caminho é o nome de arquivo absoluto ao qual nome poderá ser ligado. Caso nome esteja ligado com caminho, nome será atualizado para apontar para outra alternativa apropriada, ou removido caso não exista essa alternativa separada. Ligações slave associadas serão atualizadas ou removidas de acordo. Caso a ligação não esteja atualmente apontando para caminho, nenhuma ligação é modificada; somente a informação sobre a alternativa é removida.

--auto ligação
    Muda a ligação simbólica master ligação para o modo automático. No processo a ligação simbólica e seus slaves são atualizados para apontar para as alternativas instaladas de maior prioridade.

--display ligação
    Mostra informação sobre a ligação em grupo para qual cada ligação é a ligação master. A informação exibida inclui o modo do grupo (auto ou manual), para quais alternativas a ligação simbólica aponta atualmente, quais outras alternativas estão disponíveis (e suas alternativas slave correspondentes) e a alternativa de maior prioridade instalada atualmente.

--list ligação
    Exibe todos os alvos de uma ligação em grupo.

ARQUIVOS

/etc/alternatives/
    O diretório de alternativas padrão. Pode ser sobreescrito pela opção --altdir

/var/lib/dpkg/alternatives/
    O diretório de administração padrão. Pode ser sobreescrito pela opção --admindir

STATUS DE SAÍDA

0   A ação requisitada foi completada com sucesso.

2   Foram encontrados problemas quando analisando a linha de comando ou executando a ação.

DIAGNÓSTICOS
update-alternatives fala sem parar sobre suas atividades em seu canal de saída padrão. Caso um problema ocorra, update-alternatives exibe mensagens de erro em seu canal de erros padrão e retorna um estado de saída de 2. Estes diagnósticos devem ser auto-explicativos; caso você não pense assim, por favor reporte isso com um bug.

BUGS
Caso você encontre um bug, por favor reporte-o usando o sistema de gerenciamento de bugs Debian, ou, caso isso não seja possível, envie um mensagem diretamente para o autor.

Caso você encontre qualquer discrepância entre a operação de update-alternatives e esta página de manual, isso é um bug, ou na implementação ou na documentação; por favor reporte isso.

AUTOR
Debian update-alternatives é copyright 1995 Ian Jackson. Isso é software livre; veja a Licença Pública Geral GNU versão 2 ou posterior para as condições de cópia. NÂO existe garantia.

Esta página de manual é copyright 1997/98 Charles Briscoe-Smith. Isto é documentação livre; veja a Licença Pública Geral GNU versão 2 ou posterior para condições de cópia. NÂO existe garantia.

Você pode encontrar a GNU GPL em /usr/share/common-licenses/GPL em qualquer sistema Debian.

VEJA TAMBÉM
ln(1), FHS, o Padrão da Hierarquia do Sistema de Arquivos.